package com.fp.armas.portal.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.*;

/**
 * The primary key class for the TSAFEUSERDETAIL database table.
 * 
 */
@Embeddable
public class TsafeuserdetailPK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column
	private String usercode;

	private Long personcode;

	@Temporal(TemporalType.TIMESTAMP)
	private java.util.Date dateto;

	public TsafeuserdetailPK() {
	}
	
	public TsafeuserdetailPK(String usercode, Long personcode, Date dateto) {
		super();
		this.usercode = usercode;
		this.personcode = personcode;
		this.dateto = dateto;
	}

	public String getUsercode() {
		return this.usercode;
	}
	public void setUsercode(String usercode) {
		this.usercode = usercode;
	}
	public Long getPersoncode() {
		return this.personcode;
	}
	public void setPersoncode(Long personcode) {
		this.personcode = personcode;
	}
	public java.util.Date getDateto() {
		return this.dateto;
	}
	public void setDateto(java.util.Date dateto) {
		this.dateto = dateto;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof TsafeuserdetailPK)) {
			return false;
		}
		TsafeuserdetailPK castOther = (TsafeuserdetailPK)other;
		return 
			this.usercode.equals(castOther.usercode)
			&& (this.personcode == castOther.personcode)
			&& this.dateto.equals(castOther.dateto);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.usercode.hashCode();
		hash = hash * prime + this.personcode.hashCode();
		hash = hash * prime + this.dateto.hashCode();
		
		return hash;
	}
}